import { ServiceBase } from '../../data/service-base';
import { TaskQueue } from "aurelia-framework";
import * as breeze from 'breeze-client';
export declare class UIMultiValueInput<TTargetEntity extends breeze.Entity> {
    protected element: Element;
    protected taskQueue: TaskQueue;
    placeholder: string;
    disabled: string | boolean;
    readonly: string | boolean;
    entity: breeze.Entity;
    optionsText: string;
    targetArrayName: string;
    type: "text" | "number" | "url" | "email" | "password";
    values: Array<TTargetEntity>;
    targetService: ServiceBase<TTargetEntity>;
    callback: ({ targetEntity }: {
        targetEntity: any;
    }) => {};
    private targetIdName;
    constructor(element: Element, taskQueue: TaskQueue);
    protected attached(): void;
    protected bind(): void;
    get canEdit(): boolean;
    addNewLine(): void;
    blur(entry: TTargetEntity): void;
    keypress($event: any): boolean;
    protected isEntryValid(entry: TTargetEntity): boolean;
    get isLastEntryValid(): boolean;
    protected delete(entity: TTargetEntity): void;
}
